Subject: bug#28182: maybe implement CTRL++ to zoom text

From: Juri Linkov <[email-masked]>
Date: Wed, 28 Aug 2019 00:13:43 +0300

>> Another variant is to add special symbols to
>> the existing customization, e.g.:
>>
>>   '(5 ((shift) . 1) ((control) . text-scale) ((meta) . nil))
>>
>> or even support text-scale step number if needed:
>>
>>   '(5 ((shift) . 1) ((control) . (text-scale . 1)) ((meta) . nil))
>
> I like your idea that this would all be defined in one place.
>
> One nit is that the variable name there is mouse-wheel-scroll-amount,
> and I'm not sure this is the best name for functionality to change the
> font size.  If we go ahead with that, perhaps it should be renamed to
> something like mouse-wheel-scroll-modifiers?

It looks like mouse-wheel-scroll-amount still makes some sense
as using wheel-scrolling to change the amount of font pixels.
Generally it's better to refrain from renaming old customisable
variables when possible.

>> This is similar to what I proposed with
>>
>>   '((shift) . (hscroll . 1))
>>
>> to scroll horizontally like Shift-wheel does in web browsers:
>>
>> https://lists.gnu.org/archive/html/emacs-devel/2010-10/msg00202.html
>
> Thanks for pointing that out.  AFAICT that was never merged?

Alas, that was never merged, but I still miss this functionality.
Maybe now there is another chance first to implement ((control) . text-scale)
and then duplicate the same functionality for ((shift) . (hscroll . 1))

>> Also please look at discussions for other related requests:
>>
>> https://lists.gnu.org/archive/html/emacs-devel/2015-05/msg00529.html
>> https://lists.gnu.org/archive/html/emacs-devel/2017-03/msg00797.html
>> https://lists.gnu.org/archive/html/emacs-devel/2017-09/msg00129.html
>
> Thanks.

These are more about changing the numeric values for smoother scrolling,
I already customized to the suggested values, and scrolling is really
smoother, but I'm not sure about changing the default values.